Skip to main content

Prime Webhook

1 API call in this section.

Prime Webhook (Status Update)

External & Carrier Integrations / Prime Webhook
POST/carriers/webhooks/prime

POST /carriers/webhooks/prime — Prime sends status updates here. Authenticate using Authorization: Bearer <webhook_secret>.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/carriers/webhooks/prime" \2  --header "Authorization: Bearer {{prime_webhook_secret}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "stepCode": "ONWAY",7  "caseId": "123456",8  "custReceiptNoOri": "DEL-00001"9}'
Request body
json
1{2  "stepCode": "ONWAY",3  "caseId": "123456",4  "custReceiptNoOri": "DEL-00001"5}

Request body fields

stepCodeExample
string

Example field from the request body.

caseIdExample
string

Example field from the request body.

custReceiptNoOriExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{prime_webhook_secret}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.